using Godot;
using static ld48.Extensions;

public class Menu : Node2D {
    private PackedScene gameScene;
    
    public override void _Ready() {
        base._Ready();
        
        gameScene = ResourceLoader.Load<PackedScene>($"res://scene/{nameof(Game)}.tscn");
    }

    public void Restart() {
        QueueFree();
        GetTree().Paused = false;
        Hero.instance.Hit(5000f);
    }
    
    public void Continue() {
        QueueFree();
        GetTree().Paused = false;
    }

    public void Exit() {
        GetTree().Quit();
    }
}

